> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vectorify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a chat message

> Retrieve a specific message in a chat.



## OpenAPI

````yaml https://vectorify.ai/api.json get /chats/{chat}/messages/{message}
openapi: 3.1.0
info:
  title: Vectorify
  version: 1.0.0
servers:
  - url: https://api.vectorify.ai/v1
    description: Production
security:
  - apiKey: []
tags:
  - name: Query
  - name: Chats
  - name: Upserts
  - name: Items
  - name: Collections
paths:
  /chats/{chat}/messages/{message}:
    get:
      tags:
        - Chats
      summary: Retrieve a chat message
      description: Retrieve a specific message in a chat.
      operationId: messages.show
      parameters:
        - name: chat
          in: path
          required: true
          description: The chat ID
          schema:
            type: integer
        - name: message
          in: path
          required: true
          description: The message ID
          schema:
            type: integer
      responses:
        '200':
          description: '`ChatMessage`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ChatMessage'
                required:
                  - data
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    ChatMessage:
      type: object
      properties:
        id:
          type: string
        chat_id:
          type: string
        role:
          type: string
        user:
          $ref: '#/components/schemas/User'
        text:
          type: string
        text_html:
          type: string
        identifier:
          type:
            - string
            - 'null'
        feedback:
          type:
            - string
            - 'null'
        created_at:
          type: string
      required:
        - id
        - chat_id
        - role
        - text
        - text_html
        - identifier
        - feedback
        - created_at
      title: ChatMessage
    User:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        email:
          type: string
        avatar:
          type: string
        created_at:
          type: string
      required:
        - id
        - name
        - email
        - avatar
        - created_at
      title: User
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Api-Key

````